## ClutterGstContent ClutterGstContent — A ClutterContent for displaying video frames. |

## Functions

ClutterContent * | clutter_gst_content_new ()
ClutterContent * | clutter_gst_content_new_with_sink ()
ClutterGstFrame * | clutter_gst_content_get_frame ()
ClutterGstPlayer * | clutter_gst_content_get_player ()
ClutterGstVideoSink * | clutter_gst_content_get_sink ()
void | clutter_gst_content_set_frame ()
void | clutter_gst_content_set_player ()
void | clutter_gst_content_set_sink ()
ClutterGstOverlays * | clutter_gst_content_get_overlays ()

## Properties

ClutterGstFrame * | frame | Read / Write
gboolean | paint-frame | Read / Write
gboolean | paint-overlays | Read / Write
GObject * | player | Read / Write
ClutterGstVideoSink * | sink | Read / Write

## Signals

void | size-change | Run Last

## Types and Values

struct | ClutterGstContent
struct | ClutterGstContentClass

## Object Hierarchy

        GObject
        ╰── ClutterGstContent
            ├── ClutterGstAspectratio
            ╰── ClutterGstCrop

## Implemented Interfaces

ClutterGstContent implements ClutterContent.

## Description

ClutterGstContent implements the ClutterContent interface.

## Functions

### clutter_gst_content_new ()

    ClutterContent *
    clutter_gst_content_new (void);

#### Returns

a new ClutterGstContent instance.

[transfer full]

### clutter_gst_content_new_with_sink ()

    ClutterContent *
    clutter_gst_content_new_with_sink (ClutterGstVideoSink *sink);

#### Returns

a new ClutterGstContent instance.

[transfer full]

Since 3.0

### clutter_gst_content_get_frame ()

    ClutterGstFrame *
    clutter_gst_content_get_frame (ClutterGstContent *self);

#### Parameters

self | A ClutterGstContent |

#### Returns

The ClutterGstFrame currently attached to `self` .

[transfer none]

Since 3.0

### clutter_gst_content_get_player ()

    ClutterGstPlayer *
    clutter_gst_content_get_player (ClutterGstContent *self);

#### Parameters

self | A ClutterGstContent |

#### Returns

The ClutterGstPlayer currently attached to `self` .

[transfer none]

Since 3.0

### clutter_gst_content_get_sink ()

    ClutterGstVideoSink *
    clutter_gst_content_get_sink (ClutterGstContent *self);

#### Parameters

self | A ClutterGstContent |

#### Returns

The ClutterGstVideoSink currently attached to `self` .

[transfer none]

Since 3.0

### clutter_gst_content_set_frame ()

    void
    clutter_gst_content_set_frame (ClutterGstContent *self,
                                   ClutterGstFrame *frame);

Set the current frame.

#### Parameters

self | A ClutterGstContent |
frame | A ClutterGstFrame |

Since 3.0

### clutter_gst_content_set_player ()

    void
    clutter_gst_content_set_player (ClutterGstContent *self,
                                    ClutterGstPlayer *player);

#### Parameters

self | A ClutterGstContent |
player | A ClutterGstPlayer or `NULL` |

Since 3.0

### clutter_gst_content_set_sink ()

    void
    clutter_gst_content_set_sink (ClutterGstContent *self,
                                  ClutterGstVideoSink *sink);

#### Parameters

self | A ClutterGstContent |
sink | A ClutterGstVideoSink or `NULL` |

Since 3.0

### clutter_gst_content_get_overlays ()

    ClutterGstOverlays *
    clutter_gst_content_get_overlays (ClutterGstContent *self);

#### Parameters

self | A ClutterGstContent |

#### Returns

The ClutterGstOverlays currently attached to `self` .

[transfer none]

Since 3.0

## Types and Values

### struct ClutterGstContent

    struct ClutterGstContent;

The ClutterGstContent structure contains only private data and should be accessed using the provided API

Since 0.0

### struct ClutterGstContentClass

    struct ClutterGstContentClass {
    };

The ClutterGstContentClass structure contains only private data and should be accessed using the provided API

Since 0.0

## Property Details

### The `“frame”` property

      “frame”                    ClutterGstFrame *

ClutterGst Frame.

Flags: Read / Write

### The `“paint-frame”` property

      “paint-frame”              gboolean

Paint Video Overlays.

Flags: Read / Write

Default value: TRUE

### The `“paint-overlays”` property

      “paint-overlays”           gboolean

Paint Video Overlays.

Flags: Read / Write

Default value: TRUE

### The `“player”` property

      “player”                   GObject *

ClutterGst Player.

Flags: Read / Write

### The `“sink”` property

      “sink”                     ClutterGstVideoSink *

Cogl Video Sink.

Flags: Read / Write

## Signal Details

### The `“size-change”` signal

    void
    user_function (ClutterGstContent *content,
                   gint               width,
                   gint               height,
                   gpointer           user_data)

The ::size-change signal is emitted each time the video size changes.

#### Parameters

content | the ClutterGstContent instance that received the signal |
width | new width of the frames |
height | new height of the frames |
user_data | user data set when the signal handler was connected. |

Flags: Run Last